package com.oguerreiro.resilient.service.mapper;

import static com.oguerreiro.resilient.domain.OrganizationTypeAsserts.*;
import static com.oguerreiro.resilient.domain.OrganizationTypeTestSamples.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class OrganizationTypeMapperTest {

    private OrganizationTypeMapper organizationTypeMapper;

    @BeforeEach
    void setUp() {
        organizationTypeMapper = new OrganizationTypeMapperImpl();
    }

    @Test
    void shouldConvertToDtoAndBack() {
        var expected = getOrganizationTypeSample1();
        var actual = organizationTypeMapper.toEntity(organizationTypeMapper.toDto(expected));
        assertOrganizationTypeAllPropertiesEquals(expected, actual);
    }
}
